// ATR-.mq4
// : Stage3_VCycles, http://Stage3forex.com

#property copyright "Ale"

#property indicator_separate_window
#property indicator_buffers 8

#property indicator_color1 Black
#property indicator_width1 5
#property indicator_color2 SlateGray
#property indicator_width2 1
#property indicator_color3 MediumTurquoise
#property indicator_width3 4
#property indicator_color4 MediumTurquoise
#property indicator_width4 4
#property indicator_color5 Teal
#property indicator_width5 2
#property indicator_color6 Teal
#property indicator_width6 4
#property indicator_color7 MediumTurquoise
#property indicator_width7 2
#property indicator_color8 Teal
#property indicator_width8 3


extern int  = 6;
extern int  = 18;
extern int  = 55;


double
	buff_Slow_Histo[], buff_Slow_Line[],
	buff_Mid_Histo[], buff_Mid_Line[],
	buff_Fast_Histo[], buff_Fast_Line[],
	buff_Incr[], buff_Decr[]
;



int init() {
	SetIndexLabel(0, "ATR Slow"); SetIndexBuffer(0, buff_Slow_Histo); SetIndexStyle(0, DRAW_HISTOGRAM);
	SetIndexLabel(1, "ATR Slow"); SetIndexBuffer(1, buff_Slow_Line); SetIndexStyle(1, DRAW_LINE);
	SetIndexLabel(2, "ATR Fast"); SetIndexBuffer(2, buff_Fast_Histo); SetIndexStyle(2, DRAW_HISTOGRAM);
	SetIndexLabel(3, "ATR Fast"); SetIndexBuffer(3, buff_Fast_Line); SetIndexStyle(3, DRAW_LINE);
	SetIndexLabel(4, "ATR Mid"); SetIndexBuffer(4, buff_Mid_Histo); SetIndexStyle(4, DRAW_HISTOGRAM);
	SetIndexLabel(5, "ATR Mid"); SetIndexBuffer(5, buff_Mid_Line); SetIndexStyle(5, DRAW_LINE);
	SetIndexLabel(6, "ATR Incr"); SetIndexBuffer(6, buff_Incr); SetIndexStyle(6, DRAW_HISTOGRAM);
	SetIndexLabel(7, "ATR Decr"); SetIndexBuffer(7, buff_Decr); SetIndexStyle(7, DRAW_HISTOGRAM);
	
	IndicatorShortName("ATR " +  + " " +  + " " + );
	
	return(0);
}

int deinit() {
   return(0);
}

int start() {
	int iCounted = IndicatorCounted();
	if(iCounted < 0) return(-1);
	if(iCounted > 0) iCounted--;
	iCounted = Bars - iCounted;
	
	for(int iBar = iCounted; iBar >= 0; iBar--) {
		buff_Slow_Histo[iBar] = iATR(NULL, 0, , iBar);
		buff_Mid_Histo[iBar] = iATR(NULL, 0,  , iBar);
		buff_Fast_Histo[iBar] = iATR(NULL, 0, , iBar);
		buff_Slow_Line[iBar] = buff_Slow_Histo[iBar];
		buff_Mid_Line[iBar] = buff_Mid_Histo[iBar];
		buff_Fast_Line[iBar] = buff_Fast_Histo[iBar];
		buff_Decr[iBar] = EMPTY_VALUE; buff_Incr[iBar] = EMPTY_VALUE;
		if(buff_Mid_Line[iBar] > buff_Mid_Line[iBar+1] && buff_Fast_Line[iBar] > buff_Fast_Line[iBar+1]) buff_Incr[iBar] = 5*Point;
		else if(buff_Mid_Line[iBar] < buff_Mid_Line[iBar+1] && buff_Fast_Line[iBar] < buff_Fast_Line[iBar+1]) buff_Decr[iBar] = 5*Point;
	}
	
	return(1);
}